/// class ProspectDirector.Web.UI.FeatureSets.FeatureCollection

/**
[NEEDS DOCUMENTATION]
@class FeatureCollection
@namespace Web.UI.FeatureSets
@constructor
**/
ProspectDirector.Web.UI.FeatureSets.FeatureCollection = ProspectDirector.Web.List.extend({

//    //==============================
//    // FIELDS
//    //==============================

//    _parent: null,

    //==============================
    // CONSTRUCTOR
    //==============================

    init: function (options) {
        this._super();
        //this._parent = options.parent;
    },

//    //==============================
//    // PROPERTIES
//    //==============================

//    get_parent: function () {
//        return this._parent;
//    },

    //==============================
    // PUBLIC METHODS
    //==============================

    getByTypeName: function (typeName) {

        var result = null;

        this.each(function (index, feature) {
            if (feature.get_binding() === typeName) {
                result = feature;
                return false;
            }
        });

        return result;

    }

});